Loading...
Searching...
No Matches
casacore::CopyRecordToRecord Class Reference
fits package (libcasa_fits) » FITS_module

Copies fields between Records, possibly to fields with another name. More...

`#include <CopyRecord.h>`

## Public Member Functions

| CopyRecordToRecord (RecordInterface &outputBuffer, const RecordInterface &inputBuffer, const Vector< Int > inputMap)
| Set the mapping between fields and columns.
| ~CopyRecordToRecord ()
void | copy ()
| Copy from the record (which must still exist) to the output record (which must also still exist).

## Private Member Functions

| CopyRecordToRecord ()
| Undefined and inaccessible.
| CopyRecordToRecord (const CopyRecordToRecord &)
CopyRecordToRecord & | operator= (const CopyRecordToRecord &)

## Private Attributes

Block< RORecordFieldPtr< Bool > > | in_record_bool
Block< RORecordFieldPtr< uChar > > | in_record_char
Block< RORecordFieldPtr< Short > > | in_record_short
Block< RORecordFieldPtr< Int > > | in_record_int
Block< RORecordFieldPtr< Float > > | in_record_float
Block< RORecordFieldPtr< Double > > | in_record_double
Block< RORecordFieldPtr< Complex > > | in_record_complex
Block< RORecordFieldPtr< DComplex > > | in_record_dcomplex
Block< RORecordFieldPtr< String > > | in_record_string
Block< RORecordFieldPtr< Array< Bool > > > | in_record_array_bool
Block< RORecordFieldPtr< Array< uChar > > > | in_record_array_char
Block< RORecordFieldPtr< Array< Short > > > | in_record_array_short
Block< RORecordFieldPtr< Array< Int > > > | in_record_array_int
Block< RORecordFieldPtr< Array< Float > > > | in_record_array_float
Block< RORecordFieldPtr< Array< Double > > > | in_record_array_double
Block< RORecordFieldPtr< Array< Complex > > > | in_record_array_complex
Block< RORecordFieldPtr< Array< DComplex > > > | in_record_array_dcomplex
Block< RORecordFieldPtr< Array< String > > > | in_record_array_string
Block< RecordFieldPtr< Bool > > | out_record_bool
Block< RecordFieldPtr< uChar > > | out_record_char
Block< RecordFieldPtr< Short > > | out_record_short
Block< RecordFieldPtr< Int > > | out_record_int
Block< RecordFieldPtr< Float > > | out_record_float
Block< RecordFieldPtr< Double > > | out_record_double
Block< RecordFieldPtr< Complex > > | out_record_complex
Block< RecordFieldPtr< DComplex > > | out_record_dcomplex
Block< RecordFieldPtr< String > > | out_record_string
Block< RecordFieldPtr< Array< Bool > > > | out_record_array_bool
Block< RecordFieldPtr< Array< uChar > > > | out_record_array_char
Block< RecordFieldPtr< Array< Short > > > | out_record_array_short
Block< RecordFieldPtr< Array< Int > > > | out_record_array_int
Block< RecordFieldPtr< Array< Float > > > | out_record_array_float
Block< RecordFieldPtr< Array< Double > > > | out_record_array_double
Block< RecordFieldPtr< Array< Complex > > > | out_record_array_complex
Block< RecordFieldPtr< Array< DComplex > > > | out_record_array_dcomplex
Block< RecordFieldPtr< Array< String > > > | out_record_array_string

## Detailed Description

Copies fields between Records, possibly to fields with another name.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Record

### Etymology

### Synopsis

### Example

### Motivation

Definition at line 182 of file CopyRecord.h.

## Constructor & Destructor Documentation

## CopyRecordToRecord() [1/3]

casacore::CopyRecordToRecord::CopyRecordToRecord | ( | RecordInterface & | outputBuffer,
|  | const RecordInterface & | inputBuffer,
|  | const Vector< Int > | inputMap )

Set the mapping between fields and columns.

In particular, inputMap(fieldNumber) -> outputFieldNumber.

References casacore::RecordInterface().

Referenced by CopyRecordToRecord(), and operator=().

## ~CopyRecordToRecord()

casacore::CopyRecordToRecord::~CopyRecordToRecord | ( |  | ) |

## CopyRecordToRecord() [2/3]

casacore::CopyRecordToRecord::CopyRecordToRecord | ( |  | ) |

private

Undefined and inaccessible.

## CopyRecordToRecord() [3/3]

casacore::CopyRecordToRecord::CopyRecordToRecord | ( | const CopyRecordToRecord & |  | ) |

private

References CopyRecordToRecord().

## Member Function Documentation

## copy()

void casacore::CopyRecordToRecord::copy | ( |  | ) |

Copy from the record (which must still exist) to the output record (which must also still exist).

## operator=()

CopyRecordToRecord & casacore::CopyRecordToRecord::operator= | ( | const CopyRecordToRecord & |  | ) |

private

References CopyRecordToRecord().

## Member Data Documentation

## in_record_array_bool

Block<RORecordFieldPtr<Array<Bool> > > casacore::CopyRecordToRecord::in_record_array_bool

private

Definition at line 214 of file CopyRecord.h.

## in_record_array_char

Block<RORecordFieldPtr<Array<uChar> > > casacore::CopyRecordToRecord::in_record_array_char

private

Definition at line 215 of file CopyRecord.h.

## in_record_array_complex

Block<RORecordFieldPtr<Array<Complex> > > casacore::CopyRecordToRecord::in_record_array_complex

private

Definition at line 220 of file CopyRecord.h.

## in_record_array_dcomplex

Block<RORecordFieldPtr<Array<DComplex> > > casacore::CopyRecordToRecord::in_record_array_dcomplex

private

Definition at line 221 of file CopyRecord.h.

## in_record_array_double

Block<RORecordFieldPtr<Array<Double> > > casacore::CopyRecordToRecord::in_record_array_double

private

Definition at line 219 of file CopyRecord.h.

## in_record_array_float

Block<RORecordFieldPtr<Array<Float> > > casacore::CopyRecordToRecord::in_record_array_float

private

Definition at line 218 of file CopyRecord.h.

## in_record_array_int

Block<RORecordFieldPtr<Array<Int> > > casacore::CopyRecordToRecord::in_record_array_int

private

Definition at line 217 of file CopyRecord.h.

## in_record_array_short

Block<RORecordFieldPtr<Array<Short> > > casacore::CopyRecordToRecord::in_record_array_short

private

Definition at line 216 of file CopyRecord.h.

## in_record_array_string

Block<RORecordFieldPtr<Array<String> > > casacore::CopyRecordToRecord::in_record_array_string

private

Definition at line 222 of file CopyRecord.h.

## in_record_bool

Block<RORecordFieldPtr<Bool> > casacore::CopyRecordToRecord::in_record_bool

private

Definition at line 205 of file CopyRecord.h.

## in_record_char

Block<RORecordFieldPtr<uChar> > casacore::CopyRecordToRecord::in_record_char

private

Definition at line 206 of file CopyRecord.h.

## in_record_complex

Block<RORecordFieldPtr<Complex> > casacore::CopyRecordToRecord::in_record_complex

private

Definition at line 211 of file CopyRecord.h.

## in_record_dcomplex

Block<RORecordFieldPtr<DComplex> > casacore::CopyRecordToRecord::in_record_dcomplex

private

Definition at line 212 of file CopyRecord.h.

## in_record_double

Block<RORecordFieldPtr<Double> > casacore::CopyRecordToRecord::in_record_double

private

Definition at line 210 of file CopyRecord.h.

## in_record_float

Block<RORecordFieldPtr<Float> > casacore::CopyRecordToRecord::in_record_float

private

Definition at line 209 of file CopyRecord.h.

## in_record_int

Block<RORecordFieldPtr<Int> > casacore::CopyRecordToRecord::in_record_int

private

Definition at line 208 of file CopyRecord.h.

## in_record_short

Block<RORecordFieldPtr<Short> > casacore::CopyRecordToRecord::in_record_short

private

Definition at line 207 of file CopyRecord.h.

## in_record_string

Block<RORecordFieldPtr<String> > casacore::CopyRecordToRecord::in_record_string

private

Definition at line 213 of file CopyRecord.h.

## out_record_array_bool

Block<RecordFieldPtr<Array<Bool> > > casacore::CopyRecordToRecord::out_record_array_bool

private

Definition at line 233 of file CopyRecord.h.

## out_record_array_char

Block<RecordFieldPtr<Array<uChar> > > casacore::CopyRecordToRecord::out_record_array_char

private

Definition at line 234 of file CopyRecord.h.

## out_record_array_complex

Block<RecordFieldPtr<Array<Complex> > > casacore::CopyRecordToRecord::out_record_array_complex

private

Definition at line 239 of file CopyRecord.h.

## out_record_array_dcomplex

Block<RecordFieldPtr<Array<DComplex> > > casacore::CopyRecordToRecord::out_record_array_dcomplex

private

Definition at line 240 of file CopyRecord.h.

## out_record_array_double

Block<RecordFieldPtr<Array<Double> > > casacore::CopyRecordToRecord::out_record_array_double

private

Definition at line 238 of file CopyRecord.h.

## out_record_array_float

Block<RecordFieldPtr<Array<Float> > > casacore::CopyRecordToRecord::out_record_array_float

private

Definition at line 237 of file CopyRecord.h.

## out_record_array_int

Block<RecordFieldPtr<Array<Int> > > casacore::CopyRecordToRecord::out_record_array_int

private

Definition at line 236 of file CopyRecord.h.

## out_record_array_short

Block<RecordFieldPtr<Array<Short> > > casacore::CopyRecordToRecord::out_record_array_short

private

Definition at line 235 of file CopyRecord.h.

## out_record_array_string

Block<RecordFieldPtr<Array<String> > > casacore::CopyRecordToRecord::out_record_array_string

private

Definition at line 241 of file CopyRecord.h.

## out_record_bool

Block<RecordFieldPtr<Bool> > casacore::CopyRecordToRecord::out_record_bool

private

Definition at line 224 of file CopyRecord.h.

## out_record_char

Block<RecordFieldPtr<uChar> > casacore::CopyRecordToRecord::out_record_char

private

Definition at line 225 of file CopyRecord.h.

## out_record_complex

Block<RecordFieldPtr<Complex> > casacore::CopyRecordToRecord::out_record_complex

private

Definition at line 230 of file CopyRecord.h.

## out_record_dcomplex

Block<RecordFieldPtr<DComplex> > casacore::CopyRecordToRecord::out_record_dcomplex

private

Definition at line 231 of file CopyRecord.h.

## out_record_double

Block<RecordFieldPtr<Double> > casacore::CopyRecordToRecord::out_record_double

private

Definition at line 229 of file CopyRecord.h.

## out_record_float

Block<RecordFieldPtr<Float> > casacore::CopyRecordToRecord::out_record_float

private

Definition at line 228 of file CopyRecord.h.

## out_record_int

Block<RecordFieldPtr<Int> > casacore::CopyRecordToRecord::out_record_int

private

Definition at line 227 of file CopyRecord.h.

## out_record_short

Block<RecordFieldPtr<Short> > casacore::CopyRecordToRecord::out_record_short

private

Definition at line 226 of file CopyRecord.h.

## out_record_string

Block<RecordFieldPtr<String> > casacore::CopyRecordToRecord::out_record_string

private

Definition at line 232 of file CopyRecord.h.

The documentation for this class was generated from the following file:

- fits/FITS/CopyRecord.h